geos
GEOS (Geometry Engine) bindings for Node.
Last updated 7 years ago by kashif .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install geos 
SYNC missed versions from official npm registry.

#node-geos

GEOS (Geometry Engine) bindings for Node.

##Prerequisites

Required node version is 0.6.0 or higher. Make sure you have GEOS version 3.x or higher installed together with the headers and libraries.

##Installation

To obtain and build the bindings:

git clone git://github.com/kashif/node-geos.git
cd node-geos
node-waf configure build
# npm install

or install it via npm:

npm install geos (outdated version)

##Testing

npm test

To test the c++ binding we use vows. Just run vows on the tests in the test directory. Make sure you have coffee-script installed as they are written in coffee-script.

##Examples

For some examples please take a look at the examples directory.

##Bugs

Report bugs to http://github.com/kashif/node-geos/issues.

Current Tags

  • 0.0.4                                ...           latest (7 years ago)

3 Versions

  • 0.0.4                                ...           7 years ago
  • 0.0.3                                ...           8 years ago
  • 0.0.2                                ...           8 years ago
Maintainers (1)
Downloads
Today 0
This Week 0
This Month 3
Last Day 0
Last Week 0
Last Month 0
Dependencies (2)
Dev Dependencies (1)
Dependents (2)

Copyright 2014 - 2017 © taobao.org |